﻿@model eCommerce.BackOffice.ViewModels.CustomerAccountingViewModel
@{
    ViewBag.Title = "Cuenta Corriente";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Cuenta Corriente - @Model.Customer.FullName</h1>

    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-outline" onclick="window.location.href = '/Customers'">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">CLIENTES</span>
            </button>
        </div>
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-outline" onclick="window.location.href = '/Orders'">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">VENTAS</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/OrderPayments/CancelDebt?Id=-1&CustomerId=@Model.Customer.CustomerId'">
                <i class="icon fa-money" aria-hidden="true"></i>
                <span class="hidden-xs">CANCELAR DEUDA</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/CustomerAccounting/TransactionUpdate?Id=-1&CustomerId=@Model.Customer.CustomerId'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVO MOVIMIENTO</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-@(Model.Customer.Balance >= 0 ? "success" : "danger")" onclick="">
                <i class="icon fa-money" aria-hidden="true"></i>
                <span class="hidden-xs">SALDO: @string.Format("{0:C2}", Model.Customer.Balance)</span>
            </button>
        </div>

        @*<div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-@(Model.Customer.BalanceUsd >= 0 ? "success" : "danger")" onclick="">
                <i class="icon fa-money" aria-hidden="true"></i>
                <span class="hidden-xs">SALDO USD: @string.Format("{0:C2}", Model.Customer.BalanceUsd)</span>
            </button>
        </div>*@

    </div>

</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_CustomerAccountingList", Model.Transactions)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            setActionsDialogs();
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/CustomerAccounting/TransactionDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function setActionsDialogs()
        {
            $('.remove-row').on("click", function () {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Confirma su acción de Eliminar?",
                    text: "",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo elminarlo!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        fDelete(rowId);
                    }
                });
            });
        }

</script>
}



